Bug 753639 - sssd_nss crashes when passed invalid UTF-8 for the username in getpwnam()
sssd_nss crashes when passed invalid UTF-8 for the username in getpwnam()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
abrt_hash:7be47f80fa1ecea9caea7480a1a...
: Reopened
Depends On:
Blocks: 753842 758168
  Show dependency treegraph
 
Reported: 2011-11-13 17:33 EST by Ola Thoresen
Modified: 2012-05-30 10:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: sssd-1.6.4-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 753842 (view as bug list)
Environment:
Last Closed: 2012-05-30 10:16:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
coredump (1.00 MB, application/octet-stream)
2011-11-14 10:07 EST, Ola Thoresen
no flags Details

  None (edit)
Description Ola Thoresen 2011-11-13 17:33:29 EST
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        /usr/libexec/sssd/sssd_nss --debug-to-files
crash_function: __GI_raise
executable:     /usr/libexec/sssd/sssd_nss
kernel:         3.1.0-7.fc16.x86_64
reason:         Process /usr/libexec/sssd/sssd_nss was killed by signal 6 (SIGABRT)
time:           Sun Nov 13 22:35:44 2011
uid:            0
username:       root
var_log_messages: Nov 13 22:35:44 poseidon abrt[19152]: saved core dump of pid 1027 (/usr/libexec/sssd/sssd_nss) to /var/spool/abrt/ccpp-2011-11-13-22:35:44-1027 (1048576 bytes)

backtrace:
:[New LWP 1027]
:[Thread debugging using libthread_db enabled]
:Using host libthread_db library "/lib64/libthread_db.so.1".
:Core was generated by `/usr/libexec/sssd/sssd_nss --debug-to-files'.
:Program terminated with signal 6, Aborted.
:#0  0x00007f17860492a5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
:	in ../nptl/sysdeps/unix/sysv/linux/raise.c
:
:Thread 1 (Thread 0x7f1789540700 (LWP 1027)):
:#0  0x00007f17860492a5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = 1027
:#1  0x00007f178604abbb in __GI_abort () at abort.c:91
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x90, sa_sigaction = 0x90}, sa_mask = {__val = {140734942459288, 139739009227848, 139739064990096, 139739009217720, 139739064990096, 139739080708992, 139739065170688, 4294967295, 139739010265787, 4294967295, 139739013064712, 242496057408, 0, 139739080708992, 139739065170688, 139496558088192}}, sa_flags = -1993030140, sa_restorer = 0x1}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x00007f17888dcd85 in _dbus_abort () at dbus-sysdeps.c:94
:        s = <optimized out>
:#3  0x00007f17888d3e31 in _dbus_warn_check_failed (format=0x7f17888e3010 "arguments to %s() were incorrect, assertion \"%s\" failed in file %s line %d.\nThis is normally a bug in some application using the D-Bus library.\n") at dbus-internals.c:289
:        args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fff6840b5c0, reg_save_area = 0x7fff6840b4f0}}
:#4  0x00007f17888c6cb2 in dbus_message_iter_append_basic (value=0x7fff6840b850, type=<optimized out>, iter=0x7fff6840b600) at dbus-message.c:2526
:        string_p = 0x7fff6840b850
:        bool_p = <optimized out>
:        ret = <optimized out>
:#5  dbus_message_iter_append_basic (iter=0x7fff6840b600, type=<optimized out>, value=0x7fff6840b850) at dbus-message.c:2506
:        real = 0x7fff6840b600
:        ret = 0
:#6  0x00007f17888c7437 in dbus_message_append_args_valist (message=<optimized out>, first_arg_type=<optimized out>, var_args=0x7fff6840b6e8) at dbus-message.c:1694
:        value = <optimized out>
:        type = 115
:        iter = {dummy1 = 0x7f178a445380, dummy2 = 0x7f1700e00000, dummy3 = 131180, dummy4 = 32535, dummy5 = 0, dummy6 = 0, dummy7 = -1, dummy8 = 32535, dummy9 = -1975233584, dummy10 = 32535, dummy11 = 8, pad1 = 0, pad2 = -2004000687, pad3 = 0x73}
:        __FUNCTION__ = "dbus_message_append_args_valist"
:#7  0x00007f17888c77bc in dbus_message_append_args (message=<optimized out>, first_arg_type=<optimized out>) at dbus-message.c:1652
:        retval = <optimized out>
:        var_args = {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fff6840b7c8, reg_save_area = 0x7fff6840b700}}
:        __FUNCTION__ = "dbus_message_append_args"
:#8  0x00007f178957e3a0 in sss_dp_send_acct_req_create (ndp=<synthetic pointer>, callback_ctx=<optimized out>, callback=0x7f1789573b00 <nss_cmd_getpwnam_dp_callback>, timeout=150000, filter=0x7f178a469000 "name=ad\351la\357de", be_type=4097, domain=0x7f178a443ea0 "default", callback_memctx=0x7f178a45e340, rctx=<optimized out>) at src/responder/common/responder_dp.c:476
:        msg = 0x7f178a445380
:        dbret = <optimized out>
:        ret = <optimized out>
:        pending_reply = <optimized out>
:        cb = <optimized out>
:        sdp_req = <optimized out>
:        attrs = 1
:        be_conn = <optimized out>
:#9  sss_dp_send_acct_req (rctx=<optimized out>, callback_memctx=0x7f178a45e340, callback=0x7f1789573b00 <nss_cmd_getpwnam_dp_callback>, callback_ctx=<optimized out>, timeout=150000, domain=0x7f178a443ea0 "default", fast_reply=true, type=1, opt_name=0x7f178a45ac50 "ad\351la\357de", opt_id=0) at src/responder/common/responder_dp.c:385
:        ret = <optimized out>
:        hret = <optimized out>
:        be_type = 4097
:        filter = <optimized out>
:        key = {type = HASH_KEY_STRING, {str = 0x7f178a458830 "1ad\351la\357de@default", ul = 139739080788016}}
:        value = {type = 48, {ptr = 0x7fff6840b938, i = 1749072184, ui = 1749072184, l = 140734942460216, ul = 140734942460216, f = 3.64044419e+24, d = 6.9532300239037289e-310}}
:        tmp_ctx = 0x7f178a45f9c0
:        tv = {tv_sec = 140734942459968, tv_usec = 139739080853632}
:        sdp_req = 0x0
:        cb = <optimized out>
:        __FUNCTION__ = "sss_dp_send_acct_req"
:#10 0x00007f178956f292 in check_cache (dctx=0x7f178a468dd0, nctx=<optimized out>, res=0x7f178a459e00, req_type=1, opt_name=0x7f178a45ac50 "ad\351la\357de", opt_id=<optimized out>, callback=0x7f1789573b00 <nss_cmd_getpwnam_dp_callback>, pvt=0x7f178a468dd0) at src/responder/nss/nsssrv_cmd.c:657
:        ret = <optimized out>
:        timeout = 150000
:        now = <optimized out>
:        lastUpdate = <optimized out>
:        cacheExpire = <optimized out>
:        midpoint_refresh = <optimized out>
:        cmdctx = 0x7f178a45e340
:        cctx = 0x7f178a44c940
:        off_band_update = false
:        __FUNCTION__ = "check_cache"
:#11 0x00007f178957372b in nss_cmd_getpwnam_search (dctx=0x7f178a468dd0) at src/responder/nss/nsssrv_cmd.c:779
:        cmdctx = 0x7f178a45e340
:        dom = 0x7f178a442900
:        cctx = 0x7f178a44c940
:        name = 0x7f178a45ac50 "ad\351la\357de"
:        sysdb = 0x7f178a448280
:        nctx = 0x7f178a444650
:        ret = 0
:        __FUNCTION__ = "nss_cmd_getpwnam_search"
:#12 0x00007f1789573a78 in nss_cmd_getpwnam (cctx=0x7f178a44c940) at src/responder/nss/nsssrv_cmd.c:905
:        cmdctx = 0x7f178a45e340
:        dctx = 0x7f178a468dd0
:        rawname = 0x7f178a455480 "ad\351la\357de"
:        domname = 0x0
:        body = 0x7f178a455480 "ad\351la\357de"
:        blen = 9
:        ret = <optimized out>
:        __FUNCTION__ = "nss_cmd_getpwnam"
:#13 0x00007f178957a5b6 in client_recv (cctx=0x7f178a44c940) at src/responder/common/responder_common.c:180
:        ret = <optimized out>
:#14 client_fd_handler (ev=<optimized out>, fde=<optimized out>, flags=1, ptr=<optimized out>) at src/responder/common/responder_common.c:218
:        cctx = 0x7f178a44c940
:#15 0x00007f17891386b8 in epoll_event_loop (tvalp=0x7fff6840bb40, std_ev=0x7f178a43c3f0) at ../tevent_standard.c:309
:        fde = <optimized out>
:        flags = <optimized out>
:        ret = <optimized out>
:        i = <optimized out>
:        events = {{events = 1, data = {ptr = 0x7f178a460180, fd = -1975123584, u32 = 2319843712, u64 = 139739080819072}}}
:        timeout = <optimized out>
:#16 std_event_loop_once (ev=<optimized out>, location=<optimized out>) at ../tevent_standard.c:548
:        std_ev = 0x7f178a43c3f0
:        tval = {tv_sec = 30, tv_usec = 0}
:#17 0x00007f17891359f0 in _tevent_loop_once (ev=0x7f178a43c330, location=0x7f17895a86e7 "src/util/server.c:550") at ../tevent.c:494
:        ret = <optimized out>
:        nesting_stack_ptr = 0x0
:#18 0x00007f1789135b7b in tevent_common_loop_wait (ev=0x7f178a43c330, location=0x7f17895a86e7 "src/util/server.c:550") at ../tevent.c:595
:        ret = <optimized out>
:#19 0x00007f1789592223 in server_loop (main_ctx=0x7f178a43d4a0) at src/util/server.c:550
:No locals.
:#20 0x00007f1789568f49 in main (argc=2, argv=<optimized out>) at src/responder/nss/nsssrv.c:379
:        opt = <optimized out>
:        pc = 0x7f178a43b010
:        main_ctx = 0x7f178a43d4a0
:        ret = <optimized out>
:        long_options = {{longName = 0x0, shortName = 0 '\000', argInfo = 4, arg = 0x7f1788f25740, val = 0, descrip = 0x7f17895a0c7c "Help options:", argDescrip = 0x0}, {longName = 0x7f17895a0c8a "debug-level", shortName = 100 'd', argInfo = 2, arg = 0x7f17897b14d4, val = 0, descrip = 0x7f17895a0c96 "Debug level", argDescrip = 0x0}, {longName = 0x7f17895a0ca2 "debug-to-files", shortName = 102 'f', argInfo = 0, arg = 0x7f17897b15a0, val = 0, descrip = 0x7f17895a1000 "Send the debug output to files instead of stderr", argDescrip = 0x0}, {longName = 0x7f17895a0cb1 "debug-timestamps", shortName = 0 '\000', argInfo = 2, arg = 0x7f17897b14d0, val = 0, descrip = 0x7f17895a0cc2 "Add debug timestamps", argDescrip = 0x0}, {longName = 0x0, shortName = 0 '\000', argInfo = 0, arg = 0x0, val = 0, descrip = 0x0, argDescrip = 0x0}}
:        __FUNCTION__ = "main"
:From                To                  Syms Read   Shared Object Library
:0x00007f17891350b0  0x00007f1789139df8  Yes         /usr/lib64/libtevent.so.0
:0x00007f1788f28170  0x00007f1788f2f2e8  Yes         /usr/lib64/libtalloc.so.2
:0x00007f1788d1ebc0  0x00007f1788d2425c  Yes         /lib64/libpopt.so.0
:0x00007f1788af8930  0x00007f1788b10398  Yes         /usr/lib64/libldb.so.1
:0x00007f17888b46f0  0x00007f17888dd6c8  Yes         /lib64/libdbus-1.so.3
:0x00007f17886a7260  0x00007f17886aa758  Yes         /lib64/librt.so.1
:0x00007f178846a760  0x00007f1788491e6c  Yes         /lib64/libpcre.so.0
:0x00007f1788262790  0x00007f1788266058  Yes         /usr/lib64/libini_config.so.2
:0x00007f17880570b0  0x00007f178805cb18  Yes         /usr/lib64/libcollection.so.2
:0x00007f1787e50a10  0x00007f1787e51d18  Yes         /usr/lib64/libdhash.so.1
:0x00007f1787c445e0  0x00007f1787c4b948  Yes         /usr/lib64/liblber-2.4.so.2
:0x00007f1787a02780  0x00007f1787a30178  Yes         /usr/lib64/libldap-2.4.so.2
:0x00007f17877e6350  0x00007f17877ef80c  Yes         /usr/lib64/libtdb.so.1
:0x00007f17875b6bf0  0x00007f17875d9b88  Yes         /usr/lib64/libssl3.so
:0x00007f178738bea0  0x00007f17873a4ac8  Yes         /usr/lib64/libsmime3.so
:0x00007f17870626c0  0x00007f17871443e8  Yes         /usr/lib64/libnss3.so
:0x00007f1786e33540  0x00007f1786e3e7cc  Yes         /usr/lib64/libnssutil3.so
:0x00007f1786c28ec0  0x00007f1786c29dd8  Yes         /lib64/libplds4.so
:0x00007f1786a253e0  0x00007f1786a26ad8  Yes         /lib64/libplc4.so
:0x00007f17867f4f80  0x00007f1786814218  Yes         /lib64/libnspr4.so
:0x00007f17865d1700  0x00007f17865dcb78  Yes         /lib64/libpthread.so.0
:0x00007f17863c8de0  0x00007f17863c9918  Yes         /lib64/libdl.so.2
:0x00007f1786031f10  0x00007f178616c9f0  Yes         /lib64/libc.so.6
:0x00007f1785ddcc60  0x00007f1785de1ce8  Yes         /lib64/libcrypt.so.1
:0x00007f178933eb20  0x00007f1789358aaa  Yes         /lib64/ld-linux-x86-64.so.2
:0x00007f1785bd8cc0  0x00007f1785bd9eb8  Yes         /usr/lib64/libpath_utils.so.1
:0x00007f17859d5960  0x00007f17859d61a8  Yes         /usr/lib64/libref_array.so.1
:0x00007f17857bc940  0x00007f17857cd008  Yes         /lib64/libresolv.so.2
:0x00007f17855a3660  0x00007f17855b37d8  Yes         /usr/lib64/libsasl2.so.2
:0x00007f1785389e70  0x00007f178539666c  Yes         /lib64/libz.so.1
:0x00007f1785129240  0x00007f1785167cb8  Yes         /lib64/libfreebl3.so
:0x00007f177eb00e90  0x00007f177eb017c8  Yes         /usr/lib64/ldb/modules/ldb/asq.so
:0x00007f177e8f53c0  0x00007f177e8fbea8  Yes         /usr/lib64/ldb/modules/ldb/memberof.so
:0x00007f177e6effd0  0x00007f177e6f09d8  Yes         /usr/lib64/ldb/modules/ldb/paged_results.so
:0x00007f177e4ed010  0x00007f177e4ed8b8  Yes         /usr/lib64/ldb/modules/ldb/paged_searches.so
:0x00007f177e2e8fb0  0x00007f177e2e9bc8  Yes         /usr/lib64/ldb/modules/ldb/rdn_name.so
:0x00007f177e0e6780  0x00007f177e0e69c8  Yes         /usr/lib64/ldb/modules/ldb/sample.so
:0x00007f177dee3eb0  0x00007f177dee4788  Yes         /usr/lib64/ldb/modules/ldb/server_sort.so
:0x00007f177dce0bb0  0x00007f177dce0e98  Yes         /usr/lib64/ldb/modules/ldb/skel.so
:0x00007f177dad44d0  0x00007f177dadb3b8  Yes         /usr/lib64/ldb/modules/ldb/tdb.so
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x0	0
:rbx            0x7f17863c2808	139739013064712
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x403	1027
:rdi            0x403	1027
:rbp            0x7f17888e3010	0x7f17888e3010
:rsp            0x7fff6840b388	0x7fff6840b388
:r8             0x7f17863c3a80	139739013069440
:r9             0x7f1789540700	139739064960768
:r10            0x8	8
:r11            0x206	518
:r12            0x7f178a443ea0	139739080703648
:r13            0x7fff6840b850	140734942459984
:r14            0x7f178a445380	139739080708992
:r15            0x7f1789573b00	139739065170688
:rip            0x7f17860492a5	0x7f17860492a5 <__GI_raise+53>
:eflags         0x206	[ PF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x00007f1786049270 <+0>:	mov    %fs:0x2d4,%eax
:   0x00007f1786049278 <+8>:	mov    %fs:0x2d0,%esi
:   0x00007f1786049280 <+16>:	test   %esi,%esi
:   0x00007f1786049282 <+18>:	jne    0x7f17860492b0 <__GI_raise+64>
:   0x00007f1786049284 <+20>:	mov    $0xba,%eax
:   0x00007f1786049289 <+25>:	syscall 
:   0x00007f178604928b <+27>:	mov    %eax,%esi
:   0x00007f178604928d <+29>:	mov    %eax,%fs:0x2d0
:   0x00007f1786049295 <+37>:	movslq %edi,%rdx
:   0x00007f1786049298 <+40>:	movslq %esi,%rsi
:   0x00007f178604929b <+43>:	movslq %eax,%rdi
:   0x00007f178604929e <+46>:	mov    $0xea,%eax
:   0x00007f17860492a3 <+51>:	syscall 
:=> 0x00007f17860492a5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x00007f17860492ab <+59>:	ja     0x7f17860492bf <__GI_raise+79>
:   0x00007f17860492ad <+61>:	repz retq 
:   0x00007f17860492af <+63>:	nop
:   0x00007f17860492b0 <+64>:	test   %eax,%eax
:   0x00007f17860492b2 <+66>:	jg     0x7f1786049295 <__GI_raise+37>
:   0x00007f17860492b4 <+68>:	test   $0x7fffffff,%eax
:   0x00007f17860492b9 <+73>:	je     0x7f17860492d0 <__GI_raise+96>
:   0x00007f17860492bb <+75>:	neg    %eax
:   0x00007f17860492bd <+77>:	jmp    0x7f1786049295 <__GI_raise+37>
:   0x00007f17860492bf <+79>:	mov    0x377b72(%rip),%rdx        # 0x7f17863c0e38
:   0x00007f17860492c6 <+86>:	neg    %eax
:   0x00007f17860492c8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x00007f17860492cb <+91>:	or     $0xffffffffffffffff,%rax
:   0x00007f17860492cf <+95>:	retq   
:   0x00007f17860492d0 <+96>:	mov    %esi,%eax
:   0x00007f17860492d2 <+98>:	jmp    0x7f1786049295 <__GI_raise+37>
:End of assembler dump.

build_ids:
:32eeba9032ecead38442bdf6328d89464a151a7e
:658dd4d1eef9b7b0a36a400342bca2037434a0e8
:bb2eda4e80e107a3874f5cf7612166a1d81cd08b
:3d22dd762f2430ac679e61c98e8d856e5f3423ed
:b1532c8fcd1888fb7dc99186b3b8ec6875c72fa4
:17ef36c4f4e8918b9ab1c2e3eaca7c9b584ad5cb
:086b8d05a2fb6992634d2e22e69d7aefe16cf390
:9181b91e3dd3b2786bf09199d2f89ec2a27d3652
:9af722e8d4717709aa49739efc0ed10d0f952e3e
:a2748a35d28f083d729359d9c06bc85158408ee3
:2b09b8bb44cdbcce3b7e6a786adb0c0ffb4a27b9
:15c25336f081a938b4c7bdc13478f620c614242d
:7109859fdd4912a7b36eea239079fd72b5575d18
:3903219097bcd7fef6702a8fc24e50484083e23e
:c95e8094ddf00e9e03f98e4bd796b7c60a50d919
:b9746e6e639b060dcd2809a4c46655ee77838bf1
:8ea3a1b50dfbd33351111dac86cb8d6b6a73976f
:3ed9e0f5bbcd8d9d5b77f7dd4b562ec83d7ea767
:c953cbce426d612e0a04f33a1c43aae08680c700
:b52ecaab000fad35642f76aaf4396f4e7ae01c45
:186430a109712d3f99c968fdb8d897a7aca2eb77
:e047ee5aa37e1d89600f79e32c8c0ca8cbbabba2
:017a0c9c46d30256c1d6af189b4809146ef312f6
:94e29139152ba767534403cf94a672fe6b3fe515
:be507c791e34415e8f42f0e6030c889b2895cf9a
:180bf00a5996edd6121f13a17673245e994479b3
:7ad3c7533fd6086364ff20cf2824e7b1f76d3d7e
:29c869a877c1ceade9538f84f5ec70c3901b66b3
:c2692dcb73a5877a23c9b3943bb4603ab19168de
:51b8821c49eb1c9f2507aeb186a60ca79bd5efe9
:caeeab6968f72c5f76b50b0d94ee93db61784288
:11307731c4aa95e08b6de3064d064a12d12dee8f
:34ba75c9765a78dc791aa7be8aaea6eb0eeb686a
:6cfd35e0ead3e8ae8b000a42efe467c28762a08a
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:b77200bf76fd8c69a30220dd6709b244b215e829
:27f4f10ede037a701221b1c8d79105deb2955809
:82df68f406427a9efe3b2e41cec4374c1faf8dab
:38cc9759fa35484f171a9905448e4a946eaa48d9
:b67d01f9230119a215e7151dc3aa43428b886c8f

comment:
:Not doing anything.
:Users logging in and out, reading mail, sending mail, ftp login...
:

dso_list:
:/usr/lib64/liblber-2.4.so.2.7.1 openldap-2.4.26-5.fc16.x86_64 (Fedora Project) 1321126815
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc16.x86_64 (Fedora Project) 1321126353
:/usr/lib64/ldb/modules/ldb/paged_results.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321126503
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-6.fc16.x86_64 (Fedora Project) 1321126328
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-25.fc16.x86_64 (Fedora Project) 1321126458
:/usr/lib64/libdhash.so.1.0.1 libdhash-0.4.3-5.fc16.x86_64 (Fedora Project) 1321126884
:/lib64/libresolv-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321126333
:/usr/lib64/libtevent.so.0.9.13 libtevent-0.9.13-1.fc16.x86_64 (Fedora Project) 1321126464
:/usr/lib64/ldb/modules/ldb/server_sort.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321126503
:/usr/lib64/libssl3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1321126813
:/usr/lib64/libini_config.so.2.0.0 libini_config-0.6.2-5.fc16.x86_64 (Fedora Project) 1321126881
:/lib64/libnspr4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1321126352
:/lib64/libpthread-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321126333
:/usr/lib64/libnss3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1321126813
:/lib64/libplc4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1321126352
:/usr/lib64/libsmime3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1321126813
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321126333
:/usr/lib64/libldap-2.4.so.2.7.1 openldap-2.4.26-5.fc16.x86_64 (Fedora Project) 1321126815
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.x86_64 (Fedora Project) 1321126375
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1321126348
:/lib64/libplds4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1321126352
:/lib64/libdl-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321126333
:/usr/lib64/ldb/modules/ldb/skel.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321126503
:/usr/lib64/ldb/modules/ldb/asq.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321126503
:/usr/lib64/ldb/modules/ldb/tdb.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321126503
:/lib64/libc-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321126333
:/usr/lib64/libcollection.so.2.0.0 libcollection-0.6.1-5.fc16.x86_64 (Fedora Project) 1321126487
:/lib64/librt-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321126333
:/lib64/libpopt.so.0.0.0 popt-1.13-9.fc16.x86_64 (Fedora Project) 1321126359
:/usr/lib64/ldb/modules/ldb/memberof.so sssd-1.6.3-1.fc16.x86_64 (Fedora Project) 1321127547
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1321126349
:/lib64/ld-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321126333
:/usr/lib64/libtalloc.so.2.0.6 libtalloc-2.0.6-1.fc16.x86_64 (Fedora Project) 1321126394
:/usr/lib64/ldb/modules/ldb/rdn_name.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321126503
:/usr/lib/locale/locale-archive glibc-common-2.14.90-14.x86_64 (Fedora Project) 1321126327
:/usr/lib64/libref_array.so.1.0.0 libref_array-0.1.2-5.fc16.x86_64 (Fedora Project) 1321126880
:/usr/lib64/libldb.so.1.1.0 libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321126503
:/usr/lib64/ldb/modules/ldb/sample.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321126503
:/usr/lib64/libpath_utils.so.1.0.0 libpath_utils-0.2.1-5.fc16.x86_64 (Fedora Project) 1321126880
:/lib64/libpcre.so.0.0.1 pcre-8.12-4.fc16.x86_64 (Fedora Project) 1321126389
:/usr/libexec/sssd/sssd_nss sssd-1.6.3-1.fc16.x86_64 (Fedora Project) 1321127547
:/usr/lib64/ldb/modules/ldb/paged_searches.so libldb-1.1.0-1.fc16.x86_64 (Fedora Project) 1321126503

environ:
:BOOT_IMAGE=/vmlinuz-3.1.0-7.fc16.x86_64
:PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
:SYSFONT=latarcyrheb-sun16
:LANG=en_US.UTF-8
:PWD=/
:KEYTABLE=no
:_SSS_LOOPS=NO
:KRB5RCACHEDIR=/var/cache/krb5rcache

maps:
:7f177d8a6000-7f177dad1000 rw-s 00000000 fd:04 524642                     /var/lib/sss/db/cache_default.ldb
:7f177dad1000-7f177dade000 r-xp 00000000 fd:04 2889104                    /usr/lib64/ldb/modules/ldb/tdb.so
:7f177dade000-7f177dcde000 ---p 0000d000 fd:04 2889104                    /usr/lib64/ldb/modules/ldb/tdb.so
:7f177dcde000-7f177dcdf000 r--p 0000d000 fd:04 2889104                    /usr/lib64/ldb/modules/ldb/tdb.so
:7f177dcdf000-7f177dce0000 rw-p 0000e000 fd:04 2889104                    /usr/lib64/ldb/modules/ldb/tdb.so
:7f177dce0000-7f177dce2000 r-xp 00000000 fd:04 2889103                    /usr/lib64/ldb/modules/ldb/skel.so
:7f177dce2000-7f177dee1000 ---p 00002000 fd:04 2889103                    /usr/lib64/ldb/modules/ldb/skel.so
:7f177dee1000-7f177dee2000 r--p 00001000 fd:04 2889103                    /usr/lib64/ldb/modules/ldb/skel.so
:7f177dee2000-7f177dee3000 rw-p 00002000 fd:04 2889103                    /usr/lib64/ldb/modules/ldb/skel.so
:7f177dee3000-7f177dee5000 r-xp 00000000 fd:04 2889102                    /usr/lib64/ldb/modules/ldb/server_sort.so
:7f177dee5000-7f177e0e4000 ---p 00002000 fd:04 2889102                    /usr/lib64/ldb/modules/ldb/server_sort.so
:7f177e0e4000-7f177e0e5000 r--p 00001000 fd:04 2889102                    /usr/lib64/ldb/modules/ldb/server_sort.so
:7f177e0e5000-7f177e0e6000 rw-p 00002000 fd:04 2889102                    /usr/lib64/ldb/modules/ldb/server_sort.so
:7f177e0e6000-7f177e0e7000 r-xp 00000000 fd:04 2889101                    /usr/lib64/ldb/modules/ldb/sample.so
:7f177e0e7000-7f177e2e6000 ---p 00001000 fd:04 2889101                    /usr/lib64/ldb/modules/ldb/sample.so
:7f177e2e6000-7f177e2e7000 r--p 00000000 fd:04 2889101                    /usr/lib64/ldb/modules/ldb/sample.so
:7f177e2e7000-7f177e2e8000 rw-p 00001000 fd:04 2889101                    /usr/lib64/ldb/modules/ldb/sample.so
:7f177e2e8000-7f177e2eb000 r-xp 00000000 fd:04 2889100                    /usr/lib64/ldb/modules/ldb/rdn_name.so
:7f177e2eb000-7f177e4ea000 ---p 00003000 fd:04 2889100                    /usr/lib64/ldb/modules/ldb/rdn_name.so
:7f177e4ea000-7f177e4eb000 r--p 00002000 fd:04 2889100                    /usr/lib64/ldb/modules/ldb/rdn_name.so
:7f177e4eb000-7f177e4ec000 rw-p 00003000 fd:04 2889100                    /usr/lib64/ldb/modules/ldb/rdn_name.so
:7f177e4ec000-7f177e4ee000 r-xp 00000000 fd:04 2889099                    /usr/lib64/ldb/modules/ldb/paged_searches.so
:7f177e4ee000-7f177e6ed000 ---p 00002000 fd:04 2889099                    /usr/lib64/ldb/modules/ldb/paged_searches.so
:7f177e6ed000-7f177e6ee000 r--p 00001000 fd:04 2889099                    /usr/lib64/ldb/modules/ldb/paged_searches.so
:7f177e6ee000-7f177e6ef000 rw-p 00002000 fd:04 2889099                    /usr/lib64/ldb/modules/ldb/paged_searches.so
:7f177e6ef000-7f177e6f1000 r-xp 00000000 fd:04 2889098                    /usr/lib64/ldb/modules/ldb/paged_results.so
:7f177e6f1000-7f177e8f1000 ---p 00002000 fd:04 2889098                    /usr/lib64/ldb/modules/ldb/paged_results.so
:7f177e8f1000-7f177e8f2000 r--p 00002000 fd:04 2889098                    /usr/lib64/ldb/modules/ldb/paged_results.so
:7f177e8f2000-7f177e8f3000 rw-p 00003000 fd:04 2889098                    /usr/lib64/ldb/modules/ldb/paged_results.so
:7f177e8f3000-7f177e8ff000 r-xp 00000000 fd:04 2892807                    /usr/lib64/ldb/modules/ldb/memberof.so
:7f177e8ff000-7f177eafe000 ---p 0000c000 fd:04 2892807                    /usr/lib64/ldb/modules/ldb/memberof.so
:7f177eafe000-7f177eaff000 r--p 0000b000 fd:04 2892807                    /usr/lib64/ldb/modules/ldb/memberof.so
:7f177eaff000-7f177eb00000 rw-p 0000c000 fd:04 2892807                    /usr/lib64/ldb/modules/ldb/memberof.so
:7f177eb00000-7f177eb02000 r-xp 00000000 fd:04 2889097                    /usr/lib64/ldb/modules/ldb/asq.so
:7f177eb02000-7f177ed01000 ---p 00002000 fd:04 2889097                    /usr/lib64/ldb/modules/ldb/asq.so
:7f177ed01000-7f177ed02000 r--p 00001000 fd:04 2889097                    /usr/lib64/ldb/modules/ldb/asq.so
:7f177ed02000-7f177ed03000 rw-p 00002000 fd:04 2889097                    /usr/lib64/ldb/modules/ldb/asq.so
:7f177ed03000-7f1785126000 r--p 00000000 fd:04 2622628                    /usr/lib/locale/locale-archive
:7f1785126000-7f1785183000 r-xp 00000000 fd:04 917981                     /lib64/libfreebl3.so
:7f1785183000-7f1785382000 ---p 0005d000 fd:04 917981                     /lib64/libfreebl3.so
:7f1785382000-7f1785384000 rw-p 0005c000 fd:04 917981                     /lib64/libfreebl3.so
:7f1785384000-7f1785388000 rw-p 00000000 00:00 0 
:7f1785388000-7f178539e000 r-xp 00000000 fd:04 917972                     /lib64/libz.so.1.2.5
:7f178539e000-7f178559e000 ---p 00016000 fd:04 917972                     /lib64/libz.so.1.2.5
:7f178559e000-7f178559f000 rw-p 00016000 fd:04 917972                     /lib64/libz.so.1.2.5
:7f178559f000-7f17855b8000 r-xp 00000000 fd:04 2625728                    /usr/lib64/libsasl2.so.2.0.23
:7f17855b8000-7f17857b8000 ---p 00019000 fd:04 2625728                    /usr/lib64/libsasl2.so.2.0.23
:7f17857b8000-7f17857b9000 rw-p 00019000 fd:04 2625728                    /usr/lib64/libsasl2.so.2.0.23
:7f17857b9000-7f17857d1000 r-xp 00000000 fd:04 917978                     /lib64/libresolv-2.14.90.so
:7f17857d1000-7f17859d1000 ---p 00018000 fd:04 917978                     /lib64/libresolv-2.14.90.so
:7f17859d1000-7f17859d2000 r--p 00018000 fd:04 917978                     /lib64/libresolv-2.14.90.so
:7f17859d2000-7f17859d3000 rw-p 00019000 fd:04 917978                     /lib64/libresolv-2.14.90.so
:7f17859d3000-7f17859d5000 rw-p 00000000 00:00 0 
:7f17859d5000-7f17859d7000 r-xp 00000000 fd:04 2628372                    /usr/lib64/libref_array.so.1.0.0
:7f17859d7000-7f1785bd6000 ---p 00002000 fd:04 2628372                    /usr/lib64/libref_array.so.1.0.0
:7f1785bd6000-7f1785bd7000 r--p 00001000 fd:04 2628372                    /usr/lib64/libref_array.so.1.0.0
:7f1785bd7000-7f1785bd8000 rw-p 00002000 fd:04 2628372                    /usr/lib64/libref_array.so.1.0.0
:7f1785bd8000-7f1785bdb000 r-xp 00000000 fd:04 2628374                    /usr/lib64/libpath_utils.so.1.0.0
:7f1785bdb000-7f1785dda000 ---p 00003000 fd:04 2628374                    /usr/lib64/libpath_utils.so.1.0.0
:7f1785dda000-7f1785ddb000 r--p 00002000 fd:04 2628374                    /usr/lib64/libpath_utils.so.1.0.0
:7f1785ddb000-7f1785ddc000 rw-p 00003000 fd:04 2628374                    /usr/lib64/libpath_utils.so.1.0.0
:7f1785ddc000-7f1785de4000 r-xp 00000000 fd:04 917982                     /lib64/libcrypt-2.14.90.so
:7f1785de4000-7f1785fe3000 ---p 00008000 fd:04 917982                     /lib64/libcrypt-2.14.90.so
:7f1785fe3000-7f1785fe4000 r--p 00007000 fd:04 917982                     /lib64/libcrypt-2.14.90.so
:7f1785fe4000-7f1785fe5000 rw-p 00008000 fd:04 917982                     /lib64/libcrypt-2.14.90.so
:7f1785fe5000-7f1786013000 rw-p 00000000 00:00 0 
:7f1786013000-7f17861bd000 r-xp 00000000 fd:04 917964                     /lib64/libc-2.14.90.so
:7f17861bd000-7f17863bd000 ---p 001aa000 fd:04 917964                     /lib64/libc-2.14.90.so
:7f17863bd000-7f17863c1000 r--p 001aa000 fd:04 917964                     /lib64/libc-2.14.90.so
:7f17863c1000-7f17863c3000 rw-p 001ae000 fd:04 917964                     /lib64/libc-2.14.90.so
:7f17863c3000-7f17863c8000 rw-p 00000000 00:00 0 
:7f17863c8000-7f17863ca000 r-xp 00000000 fd:04 917973                     /lib64/libdl-2.14.90.so
:7f17863ca000-7f17865ca000 ---p 00002000 fd:04 917973                     /lib64/libdl-2.14.90.so
:7f17865ca000-7f17865cb000 r--p 00002000 fd:04 917973                     /lib64/libdl-2.14.90.so
:7f17865cb000-7f17865cc000 rw-p 00003000 fd:04 917973                     /lib64/libdl-2.14.90.so
:7f17865cc000-7f17865e3000 r-xp 00000000 fd:04 917965                     /lib64/libpthread-2.14.90.so
:7f17865e3000-7f17867e2000 ---p 00017000 fd:04 917965                     /lib64/libpthread-2.14.90.so
:7f17867e2000-7f17867e3000 r--p 00016000 fd:04 917965                     /lib64/libpthread-2.14.90.so
:7f17867e3000-7f17867e4000 rw-p 00017000 fd:04 917965                     /lib64/libpthread-2.14.90.so
:7f17867e4000-7f17867e8000 rw-p 00000000 00:00 0 
:7f17867e8000-7f1786820000 r-xp 00000000 fd:04 917991                     /lib64/libnspr4.so
:7f1786820000-7f1786a1f000 ---p 00038000 fd:04 917991                     /lib64/libnspr4.so
:7f1786a1f000-7f1786a22000 rw-p 00037000 fd:04 917991                     /lib64/libnspr4.so
:7f1786a22000-7f1786a24000 rw-p 00000000 00:00 0 
:7f1786a24000-7f1786a28000 r-xp 00000000 fd:04 917992                     /lib64/libplc4.so
:7f1786a28000-7f1786c27000 ---p 00004000 fd:04 917992                     /lib64/libplc4.so
:7f1786c27000-7f1786c28000 rw-p 00003000 fd:04 917992                     /lib64/libplc4.so
:7f1786c28000-7f1786c2b000 r-xp 00000000 fd:04 917993                     /lib64/libplds4.so
:7f1786c2b000-7f1786e2a000 ---p 00003000 fd:04 917993                     /lib64/libplds4.so
:7f1786e2a000-7f1786e2b000 rw-p 00002000 fd:04 917993                     /lib64/libplds4.so
:7f1786e2b000-7f1786e45000 r-xp 00000000 fd:04 2640566                    /usr/lib64/libnssutil3.so
:7f1786e45000-7f1787044000 ---p 0001a000 fd:04 2640566                    /usr/lib64/libnssutil3.so
:7f1787044000-7f1787049000 rw-p 00019000 fd:04 2640566                    /usr/lib64/libnssutil3.so
:7f1787049000-7f178704a000 rw-p 00000000 00:00 0 
:7f178704a000-7f178717a000 r-xp 00000000 fd:04 2640567                    /usr/lib64/libnss3.so
:7f178717a000-7f178737a000 ---p 00130000 fd:04 2640567                    /usr/lib64/libnss3.so
:7f178737a000-7f1787381000 rw-p 00130000 fd:04 2640567                    /usr/lib64/libnss3.so
:7f1787381000-7f1787382000 rw-p 00000000 00:00 0 
:7f1787382000-7f17873ab000 r-xp 00000000 fd:04 2640569                    /usr/lib64/libsmime3.so
:7f17873ab000-7f17875ab000 ---p 00029000 fd:04 2640569                    /usr/lib64/libsmime3.so
:7f17875ab000-7f17875af000 rw-p 00029000 fd:04 2640569                    /usr/lib64/libsmime3.so
:7f17875af000-7f17875e2000 r-xp 00000000 fd:04 2640568                    /usr/lib64/libssl3.so
:7f17875e2000-7f17877e1000 ---p 00033000 fd:04 2640568                    /usr/lib64/libssl3.so
:7f17877e1000-7f17877e4000 rw-p 00032000 fd:04 2640568                    /usr/lib64/libssl3.so
:7f17877e4000-7f17877f4000 r-xp 00000000 fd:04 2640558                    /usr/lib64/libtdb.so.1.2.9
:7f17877f4000-7f17879f3000 ---p 00010000 fd:04 2640558                    /usr/lib64/libtdb.so.1.2.9
:7f17879f3000-7f17879f4000 rw-p 0000f000 fd:04 2640558                    /usr/lib64/libtdb.so.1.2.9
:7f17879f4000-7f1787a3e000 r-xp 00000000 fd:04 2640583                    /usr/lib64/libldap-2.4.so.2.7.1
:7f1787a3e000-7f1787c3e000 ---p 0004a000 fd:04 2640583                    /usr/lib64/libldap-2.4.so.2.7.1
:7f1787c3e000-7f1787c3f000 r--p 0004a000 fd:04 2640583                    /usr/lib64/libldap-2.4.so.2.7.1
:7f1787c3f000-7f1787c41000 rw-p 0004b000 fd:04 2640583                    /usr/lib64/libldap-2.4.so.2.7.1
:7f1787c41000-7f1787c4f000 r-xp 00000000 fd:04 2628981                    /usr/lib64/liblber-2.4.so.2.7.1
:7f1787c4f000-7f1787e4e000 ---p 0000e000 fd:04 2628981                    /usr/lib64/liblber-2.4.so.2.7.1
:7f1787e4e000-7f1787e4f000 r--p 0000d000 fd:04 2628981                    /usr/lib64/liblber-2.4.so.2.7.1
:7f1787e4f000-7f1787e50000 rw-p 0000e000 fd:04 2628981                    /usr/lib64/liblber-2.4.so.2.7.1
:7f1787e50000-7f1787e53000 r-xp 00000000 fd:04 2628386                    /usr/lib64/libdhash.so.1.0.1
:7f1787e53000-7f1788052000 ---p 00003000 fd:04 2628386                    /usr/lib64/libdhash.so.1.0.1
:7f1788052000-7f1788053000 r--p 00002000 fd:04 2628386                    /usr/lib64/libdhash.so.1.0.1
:7f1788053000-7f1788054000 rw-p 00003000 fd:04 2628386                    /usr/lib64/libdhash.so.1.0.1
:7f1788054000-7f178805f000 r-xp 00000000 fd:04 2624654                    /usr/lib64/libcollection.so.2.0.0
:7f178805f000-7f178825e000 ---p 0000b000 fd:04 2624654                    /usr/lib64/libcollection.so.2.0.0
:7f178825e000-7f178825f000 r--p 0000a000 fd:04 2624654                    /usr/lib64/libcollection.so.2.0.0
:7f178825f000-7f1788260000 rw-p 0000b000 fd:04 2624654                    /usr/lib64/libcollection.so.2.0.0
:7f1788260000-7f1788268000 r-xp 00000000 fd:04 2628376                    /usr/lib64/libini_config.so.2.0.0
:7f1788268000-7f1788467000 ---p 00008000 fd:04 2628376                    /usr/lib64/libini_config.so.2.0.0
:7f1788467000-7f1788468000 r--p 00007000 fd:04 2628376                    /usr/lib64/libini_config.so.2.0.0
:7f1788468000-7f1788469000 rw-p 00008000 fd:04 2628376                    /usr/lib64/libini_config.so.2.0.0
:7f1788469000-7f17884a5000 r-xp 00000000 fd:04 917645                     /lib64/libpcre.so.0.0.1
:7f17884a5000-7f17886a4000 ---p 0003c000 fd:04 917645                     /lib64/libpcre.so.0.0.1
:7f17886a4000-7f17886a5000 rw-p 0003b000 fd:04 917645                     /lib64/libpcre.so.0.0.1
:7f17886a5000-7f17886ac000 r-xp 00000000 fd:04 917966                     /lib64/librt-2.14.90.so
:7f17886ac000-7f17888ab000 ---p 00007000 fd:04 917966                     /lib64/librt-2.14.90.so
:7f17888ab000-7f17888ac000 r--p 00006000 fd:04 917966                     /lib64/librt-2.14.90.so
:7f17888ac000-7f17888ad000 rw-p 00007000 fd:04 917966                     /lib64/librt-2.14.90.so
:7f17888ad000-7f17888f0000 r-xp 00000000 fd:04 917969                     /lib64/libdbus-1.so.3.5.6
:7f17888f0000-7f1788aef000 ---p 00043000 fd:04 917969                     /lib64/libdbus-1.so.3.5.6
:7f1788aef000-7f1788af0000 r--p 00042000 fd:04 917969                     /lib64/libdbus-1.so.3.5.6
:7f1788af0000-7f1788af1000 rw-p 00043000 fd:04 917969                     /lib64/libdbus-1.so.3.5.6
:7f1788af1000-7f1788b1b000 r-xp 00000000 fd:04 2624969                    /usr/lib64/libldb.so.1.1.0
:7f1788b1b000-7f1788d1b000 ---p 0002a000 fd:04 2624969                    /usr/lib64/libldb.so.1.1.0
:7f1788d1b000-7f1788d1c000 r--p 0002a000 fd:04 2624969                    /usr/lib64/libldb.so.1.1.0
:7f1788d1c000-7f1788d1d000 rw-p 0002b000 fd:04 2624969                    /usr/lib64/libldb.so.1.1.0
:7f1788d1d000-7f1788d26000 r-xp 00000000 fd:04 917617                     /lib64/libpopt.so.0.0.0
:7f1788d26000-7f1788f25000 ---p 00009000 fd:04 917617                     /lib64/libpopt.so.0.0.0
:7f1788f25000-7f1788f26000 rw-p 00008000 fd:04 917617                     /lib64/libpopt.so.0.0.0
:7f1788f26000-7f1788f31000 r-xp 00000000 fd:04 2627439                    /usr/lib64/libtalloc.so.2.0.6
:7f1788f31000-7f1789130000 ---p 0000b000 fd:04 2627439                    /usr/lib64/libtalloc.so.2.0.6
:7f1789130000-7f1789131000 r--p 0000a000 fd:04 2627439                    /usr/lib64/libtalloc.so.2.0.6
:7f1789131000-7f1789132000 rw-p 0000b000 fd:04 2627439                    /usr/lib64/libtalloc.so.2.0.6
:7f1789132000-7f178913d000 r-xp 00000000 fd:04 2624479                    /usr/lib64/libtevent.so.0.9.13
:7f178913d000-7f178933c000 ---p 0000b000 fd:04 2624479                    /usr/lib64/libtevent.so.0.9.13
:7f178933c000-7f178933d000 r--p 0000a000 fd:04 2624479                    /usr/lib64/libtevent.so.0.9.13
:7f178933d000-7f178933e000 rw-p 0000b000 fd:04 2624479                    /usr/lib64/libtevent.so.0.9.13
:7f178933e000-7f1789360000 r-xp 00000000 fd:04 917963                     /lib64/ld-2.14.90.so
:7f1789520000-7f1789521000 rw-p 00000000 00:00 0 
:7f1789521000-7f178953f000 rw-s 00000000 fd:04 524640                     /var/lib/sss/db/config.ldb
:7f178953f000-7f178954e000 rw-p 00000000 00:00 0 
:7f178955e000-7f178955f000 rw-p 00000000 00:00 0 
:7f178955f000-7f1789560000 r--p 00021000 fd:04 917963                     /lib64/ld-2.14.90.so
:7f1789560000-7f1789561000 rw-p 00022000 fd:04 917963                     /lib64/ld-2.14.90.so
:7f1789561000-7f1789562000 rw-p 00000000 00:00 0 
:7f1789562000-7f17895b0000 r-xp 00000000 fd:04 2636194                    /usr/libexec/sssd/sssd_nss
:7f17897b0000-7f17897b1000 r--p 0004e000 fd:04 2636194                    /usr/libexec/sssd/sssd_nss
:7f17897b1000-7f17897b2000 rw-p 0004f000 fd:04 2636194                    /usr/libexec/sssd/sssd_nss
:7f178a43b000-7f178a475000 rw-p 00000000 00:00 0                          [heap]
:7fff683ed000-7fff6840e000 rw-p 00000000 00:00 0                          [stack]
:7fff6856a000-7fff6856b000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

smolt_data:
:
:
:General
:=================================
:UUID: 18336f54-ec14-41e4-8a9c-fae3fb54f292
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4018.49
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 64 Processor 3200+
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 47
:Number of CPUs: 1
:CPU Speed: 2000
:System Memory: 932
:System Swap: 1887
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.1.0-7.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:620:4318:52100) pci, snd_hda_intel, MULTIMEDIA, ASUSTeK Computer Inc. A8N-VM CSM Mainboard
:(4318:623:0:0) pci, None, PCI/PCI, MCP51 PCI Bridge
:(4318:612:4163:33212) pci, nForce2_smbus, SERIAL, A8N-VM CSM Mainboard
:(4318:608:4163:33212) pci, None, PCI/ISA, A8N-VM CSM Mainboard
:(4318:766:4163:33229) pci, None, RAM, A8N-VM CSM Mainboard
:(4318:760:4163:33229) pci, None, RAM, A8N-VM CSM Mainboard
:(4318:752:4163:33229) pci, None, RAM, A8N-VM CSM Mainboard
:(4318:762:4163:33229) pci, None, RAM, A8N-VM CSM Mainboard
:(4318:639:4163:33229) pci, None, RAM, A8N-VM CSM Mainboard
:(4318:638:4163:33229) pci, None, RAM, A8N-VM CSM Mainboard
:(4318:761:4163:33229) pci, None, RAM, A8N-VM CSM Mainboard
:(4318:767:4163:33229) pci, None, RAM, A8N-VM CSM Mainboard
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, amd64_edac, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4318:764:4318:0) pci, pcieport, PCI/PCI, C51 PCI Express Bridge
:(4318:617:4163:33089) pci, forcedeth, BRIDGE, A8N-VM CSM Mainboard
:(4318:765:4318:0) pci, pcieport, PCI/PCI, C51 PCI Express Bridge
:(4358:12356:4163:32906) pci, firewire_ohci, FIREWIRE, A8V/A8N/P4P800 series motherboard
:(4318:613:4163:33212) pci, pata_amd, STORAGE, A8N-VM CSM Mainboard
:(4318:624:4163:33212) pci, None, RAM, A8N-VM CSM Mainboard
:(4318:614:4163:33212) pci, sata_nv, RAID, A8N-VM CSM Mainboard
:(4318:615:4163:33212) pci, sata_nv, RAID, A8N-VM CSM Mainboard
:(4318:763:4318:0) pci, pcieport, PCI/PCI, C51 PCI Express Bridge
:(4318:621:4163:33212) pci, ohci_hcd, USB, A8N-VM CSM Mainboard
:(4318:622:4163:33212) pci, ehci_hcd, USB, A8N-VM CSM Mainboard
:(4318:576:4163:33229) pci, nouveau, VIDEO, A8N-VM CSM
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_lynx-lv_root / ext4 4096 4096 12901535 8730702 8075342 3276800 3154667 3154667
:/dev/mapper/nvidia_bfjagbjjp1 /boot ext4 1024 1024 495844 460659 435059 128016 127797 127797
:/dev/mapper/vg_lynx-lv_home /home ext4 4096 4096 34567946 14943879 13187924 8781824 8553523 8553523
:/dev/sdc2 WITHHELD ext3 4096 4096 120179772 44426231 38321431 61063168 60489926 60489926
:
Comment 1 Jakub Hrozek 2011-11-14 09:44:40 EST
Can you attach the core file as well? I'd like to check if the DBus connection was still alive (!= NULL) when sssd_nss crashed.

Also, is this the only crash? Was there any sssd_be crash by chance?
Comment 2 Stephen Gallagher 2011-11-14 09:49:23 EST
Could you also include your (sanitized) sssd.conf?
Comment 3 Ola Thoresen 2011-11-14 10:06:14 EST
It seems from the logs that "be" did not crash, but was shut down (by systemd?) after nss had crashed a few times:

As you can see, sssd was running fine for a few hours, then stared crashing repeatedly:

Nov 13 16:06:41 poseidon sssd[pam]: Starting up
Nov 13 22:35:44 poseidon abrt[19152]: saved core dump of pid 1027 (/usr/libexec/sssd/sssd_nss) to /var/spool/abrt/ccpp-2011-11-13-22:35:44-1027 (1048576 bytes)
Nov 13 22:35:45 poseidon sssd[nss]: Starting up
Nov 13 22:36:05 poseidon abrt[19227]: saved core dump of pid 19159 (/usr/libexec/sssd/sssd_nss) to /var/spool/abrt/ccpp-2011-11-13-22:36:05-19159 (946176 bytes)
Nov 13 22:36:06 poseidon sssd[nss]: Starting up
Nov 13 22:36:14 poseidon abrt[19267]: not dumping repeating crash in '/usr/libexec/sssd/sssd_nss'
Nov 13 22:36:15 poseidon sssd[nss]: Starting up
Nov 13 22:36:23 poseidon abrt[19289]: not dumping repeating crash in '/usr/libexec/sssd/sssd_nss'
Nov 13 22:36:24 poseidon sssd[nss]: Starting up
Nov 13 22:36:24 poseidon abrt[19291]: not dumping repeating crash in '/usr/libexec/sssd/sssd_nss'
Nov 13 23:04:43 poseidon sssd[be[default]]: Shutting down
Nov 13 23:04:44 poseidon sssd[pam]: Shutting down
Nov 13 23:04:44 poseidon sssd: Starting up
Nov 13 23:04:44 poseidon systemd[1]: Failed to read PID file /var/run/sssd.pid after start. The service might be broken.
Nov 13 23:04:44 poseidon sssd[be[default]]: Starting up
Nov 13 23:04:45 poseidon sssd[nss]: Starting up
Nov 13 23:04:45 poseidon sssd[pam]: Starting up
Nov 13 23:05:41 poseidon abrt[23635]: saved core dump of pid 23454 (/usr/libexec/sssd/sssd_nss) to /var/spool/abrt/ccpp-2011-11-13-23:05:40-23454 (1069056 bytes)
Nov 13 23:05:42 poseidon sssd[nss]: Starting up
Nov 13 23:05:44 poseidon abrt[23662]: not dumping repeating crash in '/usr/libexec/sssd/sssd_nss'
Nov 13 23:05:45 poseidon sssd[nss]: Starting up
Nov 13 23:05:51 poseidon abrt[23680]: not dumping repeating crash in '/usr/libexec/sssd/sssd_nss'
Nov 13 23:05:52 poseidon sssd[nss]: Starting up
Nov 13 23:05:54 poseidon abrt[23692]: not dumping repeating crash in '/usr/libexec/sssd/sssd_nss'
Nov 13 23:05:55 poseidon sssd[nss]: Starting up
Nov 13 23:05:57 poseidon abrt[23700]: not dumping repeating crash in '/usr/libexec/sssd/sssd_nss'
Nov 13 23:07:00 poseidon sssd[be[default]]: Shutting down

This was going on (requiring a manual restart after the shutdowns) for about 30 minutes, and it has been running fine again since then:
(timestamps are CET, so that means it was last restarted about 16 hours ago) 


Nov 13 23:38:02 poseidon abrt[30619]: not dumping repeating crash in '/usr/libexec/sssd/sssd_nss'
Nov 13 23:38:03 poseidon sssd[nss]: Starting up
Nov 13 23:38:04 poseidon abrt[30637]: not dumping repeating crash in '/usr/libexec/sssd/sssd_nss'
Nov 13 23:38:05 poseidon sssd[nss]: Starting up
Nov 13 23:38:10 poseidon abrt[30666]: saved core dump of pid 30638 (/usr/libexec/sssd/sssd_nss) to /var/spool/abrt/ccpp-2011-11-13-23:38:10-30638 (946176 bytes)
Nov 13 23:38:11 poseidon sssd[nss]: Starting up
Nov 13 23:38:12 poseidon abrt[30692]: not dumping repeating crash in '/usr/libexec/sssd/sssd_nss'
Nov 13 23:38:13 poseidon sssd[nss]: Starting up
Nov 13 23:38:14 poseidon abrt[30700]: not dumping repeating crash in '/usr/libexec/sssd/sssd_nss'
Nov 13 23:39:01 poseidon sssd[be[default]]: Shutting down
Nov 13 23:39:01 poseidon sssd[pam]: Shutting down
Nov 13 23:39:01 poseidon systemd[1]: Failed to read PID file /var/run/sssd.pid after start. The service might be broken.
Nov 13 23:39:01 poseidon sssd: Starting up
Nov 13 23:39:01 poseidon sssd[be[default]]: Starting up
Nov 13 23:39:01 poseidon sssd[pam]: Starting up
Nov 13 23:39:01 poseidon sssd[nss]: Starting up
Comment 4 Ola Thoresen 2011-11-14 10:07:43 EST
Created attachment 533549 [details]
coredump
Comment 5 Ola Thoresen 2011-11-14 10:09:00 EST
[domain/default]
sssd.conf is quite simple (but I do use LDAP)

debug_level = 5
ldap_id_use_start_tls = True
cache_credentials = True
ldap_search_base = dc=nytt,dc=no
krb5_realm = EXAMPLE.COM
krb5_server = kerberos.example.com
id_provider = ldap
auth_provider = ldap
chpass_provider = ldap
ldap_uri = ldap://localhost/
ldap_tls_cacertdir = /etc/openldap/cacerts
ldap_tls_reqcert = never
ldap_tls_cacert = /etc/pki/tls/certs/ca-bundle.crt
ldap_default_bind_dn = cn=config
ldap_default_authtok = XXXXXXXXXXX

[sssd]
services = nss, pam
config_file_version = 2

domains = default
[nss]

[pam]
Comment 6 Stephen Gallagher 2011-11-14 10:28:49 EST
Ok, I've traced the problem. What's happening is that some client app is passing us a username for getpwnam() that contains invalid UTF-8. Internally, when we try to pass this to the data provider over the D-BUS protocol, libdbus is failing the test _dbus_check_is_valid_utf8("ad\351la\357d").

We probably need to sanitize the requests earlier in the process, so that users that will never be valid (such as this) are just kicked out.
Comment 7 Stephen Gallagher 2011-11-14 10:32:11 EST
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1088
Comment 8 Ola Thoresen 2011-11-14 10:51:03 EST
If that's correct, it is rather important, as any network-enabled service can then be used to DoS any server, by just providing an invalid username...

Thanks for a the fast repsonse.
Comment 9 Stephen Gallagher 2011-11-14 11:33:10 EST
Fortunately, it's not really a DoS as the SSSD auto-restarts the NSS responder. It's still a serious crash issue though. Thanks for helping us identify it!
Comment 10 Ola Thoresen 2011-11-17 06:08:02 EST
Package: sssd-1.6.3-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Seems to happen randomly
Comment 11 Ola Thoresen 2011-11-17 06:10:08 EST
This bug happens quite often, and it will make sssd stop working (until restarted manually).

Not every time, but a few times a day no users can log in until we issue systemctl sssd.service restart
Comment 12 Stephen Gallagher 2011-11-17 08:12:28 EST
We have identified a fix upstream, but the fix appears to be also revealing another latent bug in the code. It will take another day or two to get a fix out. Thank you for the bug report.
Comment 13 Fedora Update System 2011-12-19 16:28:06 EST
sssd-1.6.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sssd-1.6.4-1.fc16
Comment 14 Fedora Update System 2011-12-22 17:51:38 EST
Package sssd-1.6.4-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.6.4-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17349/sssd-1.6.4-1.fc16
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-01-03 20:52:25 EST
sssd-1.6.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 James Cape 2012-03-28 20:09:45 EDT
I just got this crash a minute ago with 1.8.1-8 from F16 updates-testing.
Comment 17 Stephen Gallagher 2012-03-29 07:41:34 EDT
(In reply to comment #16)
> I just got this crash a minute ago with 1.8.1-8 from F16 updates-testing.

Unlikely to be the exact same crash. Can you file a bug with ABRT?
Comment 18 James Cape 2012-03-29 07:56:17 EDT
I did, it marked it as a dup of this bug.
Comment 19 Stephen Gallagher 2012-03-29 07:59:46 EDT
Can you attach the backtrace to this ticket? That's very serious if we regressed this somehow.

Reopening.
Comment 20 Stephen Gallagher 2012-05-30 10:16:04 EDT
Re-closing. We haven't gotten any new information for two months.

Note You need to log in before you can comment on or make changes to this bug.